# Uses of Interface
org.apache.qpid.proton.amqp.transport.FrameBody

Packages that use FrameBody
Package
Description
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.framing

## Uses of FrameBody in org.apache.qpid.proton.amqp.transport

Classes in org.apache.qpid.proton.amqp.transport that implement FrameBody
Modifier and Type
Class
Description
`final class`
`Attach`
`final class`
`Begin`
`final class`
`Close`
`final class`
`Detach`
`final class`
`Disposition`
`final class`
`EmptyFrame`
`final class`
`End`
`final class`
`Flow`
`final class`
`Open`
`final class`
`Transfer`
Methods in org.apache.qpid.proton.amqp.transport that return FrameBody
Modifier and Type
Method
Description
`FrameBody`
FrameBody.`copy()`

## Uses of FrameBody in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type FrameBody
Modifier and Type
Method
Description
`protected void`
TransportImpl.`writeFrame(int channel, FrameBody frameBody, ReadableBuffer payload, Runnable onPayloadTooLarge)`

## Uses of FrameBody in org.apache.qpid.proton.framing

Methods in org.apache.qpid.proton.framing that return FrameBody
Modifier and Type
Method
Description
`FrameBody`
TransportFrame.`getBody()`
Constructors in org.apache.qpid.proton.framing with parameters of type FrameBody
Modifier
Constructor
Description
``
`TransportFrame(int channel, FrameBody body, Binary payload)`